Bug 833835 - copy-paste stops working after client disconnection during a copy-paste
copy-paste stops working after client disconnection during a copy-paste
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-vdagent-win (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Arnon Gilboa
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 08:57 EDT by Yonit Halperin
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: vdagent-win-0.1-13
Doc Type: Bug Fix
Doc Text:
Previously, if SPICE was disconnected in the middle of copying and pasting data from the client to the guest, copy and paste would stop working after SPICE was reconnected. Now, the clipboard timeout has been adjusted so that if SPICE is unexpectedly disconnected, the immediate copy and paste action will fail, but subsequent attempts will be successful.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:26:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
set timeout for next clipboard chunk instead of complete reception (6.75 KB, patch)
2012-11-07 10:12 EST, Arnon Gilboa
no flags Details | Diff

  None (edit)
Description Yonit Halperin 2012-06-20 08:57:21 EDT
Description of problem:

When the client is disconnected in the middle of a copy-paste from the client to the guest, and not all the copied data reached the guest, copy-paste does no longer work after reconnecting the client.
The client mouse still works.
Restarting the vdservice restores the copy-paste functionality.
This bug may be a derivative of bug #815779 

The remote viewer also showed the following error:
(remote-viewer:11839): GSpice-CRITICAL **: agent_clipboard_notify: assertion `VD_AGENT_HAS_CAPABILITY(c->agent_caps, sizeof(c->agent_caps), VD_AGENT_CAP_CLIPBOARD_BY_DEMAND)' failed

Steps to Reproduce:
1. Copy data from the client to the guest. The amount of data need to bee big enough for being able to disconnect the client in the middle of the transfer, but small enough for not triggering bug #815779.
2. disconnect the client in the middle of the copy-paste
3. reconnect the client
4. try to copy-paste
  
Actual results:
copy-paste fails

Expected results:
the last copy-paste, before the disconnection, fails, but the following copy-pastes should succeed.
Comment 2 David Blechter 2012-10-03 08:41:39 EDT
need to move to the next release due to other bugs have been focused on.
Comment 3 Arnon Gilboa 2012-11-07 10:12:10 EST
Created attachment 640139 [details]
set timeout for next clipboard chunk instead of complete reception
Comment 8 errata-xmlrpc 2013-06-10 16:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0924.html

Note You need to log in before you can comment on or make changes to this bug.